/* ---------- Footer ---------- */

footer {
    background-color: rgb(54, 8, 105);
    color: white;
    z-index: 500;
}

footer li {
    list-style-type: none;
}

.footer-donate {
    display: flex;
    flex-direction: column;
    color: white;    
    justify-items: center;
    text-align: center;
    margin-bottom: 32px;
}

.footer-donate a {
    text-decoration: none;
}

.footer-title {
    font-size: 26px;
    margin-top: 48px;
}

.footer-description {
    font-size: 16px;
    width: 50%;
    margin: 0 auto;
    margin-top: 16px;
    margin-bottom: 32px;    
}

.footer-button {
    background: linear-gradient(45deg, rgb(242, 228, 255), rgb(185, 149, 233));
    background: linear-gradient(45deg, rgb(173, 88, 223), rgb(216, 39, 216));
    width: fit-content;
    justify-content: center;
    margin: auto;
    padding: 10px 28px;
    border-radius: 16px;
    font-size: 20px;
    font-family: "Nunito";
    font-weight: 700;
    color: rgb(249, 227, 255);
    user-select: none;    
    transition: transform 0.15s ease, filter 0.51s ease;
}

.footer-button:hover {
    cursor: pointer;    
    box-shadow: 0 8px 15px rgba(0,0,0,0.3);    
    transform: scale(1.04);
    background-color: rgb(211, 100, 26);
    filter: brightness(1.13);
}

.line-divider {
    margin-top: 32px;
    background-color: rgb(172, 171, 171);
    width: 80%;
    height: 1px;
    margin: auto;
}

.footer-content {
    display: flex;
    flex-direction: row;
    padding-top: 64px;
    padding-bottom: 64px;
    text-align: center;
    justify-content: center;
}

.footer-image {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.footer-image img {
    width: 60%;
    height: fit-content;
}

.f-social-logos {
    display: flex;
    flex-direction: row;
    gap: 10px;
    justify-content: center;
    margin-top: 8px;
    align-items: center;
}

.f-social-logos img {
    padding-top: 10px;
    width: 40px;
    /*height: 40px;*/
    transition: transform 0.125s ease, filter 0.125s ease;
}

.f-social-logos img:hover {
    transform: scale(1.1);
    filter: brightness(1.1);
}

.footer-sections {
    display: flex;
    align-items: start;
    flex-wrap: wrap;
}

.footer-list {
    padding-left: 0;
    text-align: left;
    line-height: 2.1;
    height: fit-content;
    margin-top: 10px;
} 

.footer-list a {
    text-decoration: none;
    color: white;
}

.footer-list a:hover {
    color: rgb(201, 155, 253);
}

.f-title {
    font-weight: bold;
    text-align: left;
    margin-right: auto;
    font-size: 20px;
}

.footer-section {
    display: flex;
    flex-direction: column;
    padding-left: 32px;
    padding-right: 32px;
    align-items: center;
    align-content: center;
}

.footer-sectionA {
    display: flex;
    flex-direction: column;
    /*padding-left: 64px;*/
    padding-right: 32px;
}

.footer-sectionB {
    display: flex;
    flex-direction: column;    
    padding-left: 32px;
    padding-right: 32px;
    align-items: center;
    align-content: center;    
}

.footer-sectionC {
    display: flex;
    flex-direction: column;    
    padding-left: 32px;
    padding-right: 32px;
    align-items: center;
    align-content: center;    
}

#line2 {
    margin-bottom: 8px;
}

.footer-end {
    padding-top: 8px;
    padding-bottom: 16px;
    /*background-color:#28053d;*/
    text-align: left;
    margin: auto;
    width: 80%;
}

/* ------------ MOBILE ---------- */ 

@media (max-width: 767px) {
    html, body {
        margin: 0;
        padding: 0;
        width: 100%;
        height: 100%;
        overflow-x: hidden!important;
    }

    .footer-description {
        width: 80%;
    }

    .footer-content {
        display: flex;
        flex-direction: column;
        padding-top: 32px;
        padding-bottom: 32px;
    }

    .footer-image img {
        width: 40%;
        height: fit-content;
    }

    .footer-sections {
        padding: 0;
        display: flex;
        flex-direction: column;
        flex-wrap: nowrap;
        align-items: start;
        margin: 0 auto;
        margin-top: 48px;
        gap: 10px;
    }

    .footer-section{
        padding: 0;
    }

    .f-title {
        font-size: 22px;
        font-weight: bold;
        text-align: left;    
        margin-bottom: 0;        
    }

    .footer-end {
        text-align: center;
    }
}